com.dlsc.flexgantt.swing.layer.system

## Enum RelationshipSelectionEvent.ID

- java.lang.Object
- - java.lang.Enum<RelationshipSelectionEvent.ID>
  - - com.dlsc.flexgantt.swing.layer.system.RelationshipSelectionEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<RelationshipSelectionEvent.ID>
  Enclosing class:
    RelationshipSelectionEvent

      public static enum RelationshipSelectionEvent.ID
      extends Enum<RelationshipSelectionEvent.ID>

  An enum with the different types of events that can occure.
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RELATIONSHIPS_ADDED` ID used when a relationship was added to the model.
    `RELATIONSHIPS_REMOVED` ID used when a relationship was removed from the model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelationshipSelectionEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RelationshipSelectionEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RELATIONSHIPS_ADDED

          public static final RelationshipSelectionEvent.ID RELATIONSHIPS_ADDED

      ID used when a relationship was added to the model.
      Since:
        2.0

    - #### RELATIONSHIPS_REMOVED

          public static final RelationshipSelectionEvent.ID RELATIONSHIPS_REMOVED

      ID used when a relationship was removed from the model.
      Since:
        2.0

  - ### Method Detail

    - #### values

          public static RelationshipSelectionEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelationshipSelectionEvent.ID c : RelationshipSelectionEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelationshipSelectionEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.